Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3382)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3418)
@@ -500,106 +622,277 @@
                                                                      /)
 !
-!-- building parameters, 4 different types
-!-- 0 - wall fraction, 1- window fraction, 2 - green fraction on wall, 3- green fraction 
-!-- at roof, 4 - lai of green fraction at roof,  5 - lai of green fraction at wall, 
-!-- 6 - heat capacity of wall layer 1, 7 - heat capacity of wall layer 2, 
-!-- 8 - heat capacity of wall layer 3, 9 - thermal conductivity of wall layer 1, 
-!-- 10 - thermal conductivity of wall layer 2, 11 - thermal conductivity of wall layer 3,  
-!-- 12 - indoor target summer temperature ( K ), 13 - indoor target winter temperature (K),
-!-- 14 - emissivity of wall fraction, 15 - emissivity of green fraction, 16 - emissivity of window fraction,
-!-- 17 - transmissivity of window fraction, 18 - z0, 19 - z0h/z0q, 20 - ground floor height, 
-!-- 21 - ground floor wall fraction, 22 - ground floor window fraction, 23 ground floor green fraction,
-!-- 24 - ground floor green fraction on roof, 25 - ground floor lai of green fraction, 
-!-- 26 - ground floor heat capacity of wall layer 1, 27 - ground floor heat capacity of wall layer 1,
-!-- 28 - ground floor heat capacity of wall layer 3, 29 - ground floor thermal conductivity of wall layer 1,
-!-- 30 - ground floor thermal conductivity of wall layer 2, 31 - ground floor thermal conductivity of wall layer 3,
-!-- 32 - ground floor emissivity of wall fraction, 33 - ground floor emissivity of green fraction,
-!-- 34 - ground floor emissivity of window fraction, 35 - ground floor transmissivity of window fraction, 
-!-- 36 - ground floor z0, 37 - ground floor z0h/z0q, 38 - albedo type wall fraction
-!-- 39 - albedo type green fraction, 40 - albedo type window fraction
-!-- 41 - wall layer thickness - 1st layer, 42 - wall layer thickness - 2nd layer,
-!-- 43 - wall layer thickness - 3rd layer, 44 - wall layer thickness - 4th layer,
-!-- 45 - heat capacity of the wall surface, 46 - heat conductivity
-!-- Please note, only preleminary dummy values so far!
-    REAL(wp), DIMENSION(0:46,1:7), PARAMETER :: building_pars = RESHAPE( (/    &
-        1.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 1.0_wp, 1.0_wp,                        & !parameter 0-5
-        1000000.0_wp, 1000000.0_wp, 1000000.0_wp, 0.3_wp, 0.3_wp, 0.3_wp,      & !parameter 6-11
-        296.15_wp, 293.15_wp, 0.9_wp, 0.9_wp, 0.01_wp, 0.99_wp,                & !parameter 12-17
-        0.001_wp, 0.0001_wp, 4.0_wp,                                           & !parameter 18-20
-        1.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 3.0_wp,                                & !parameter 21-25
-        1000000.0_wp, 1000000.0_wp, 1000000.0_wp,                              & !parameter 26-28                     
-        0.3_wp, 0.3_wp, 0.3_wp,                                                & !parameter 29-31       
-        0.9_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
-        24.0_wp, 24.0_wp, 24.0_wp,                                             & !parameter 38-40
-        0.0242_wp, 0.0969_wp, 0.346_wp, 1.0_wp,                                & !parameter 41-44
-        20000.0_wp, 10.0_wp,                                                   & !parameter 45-46 - end of type 1
-        1.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 1.0_wp, 1.0_wp,                        & !parameter 0-5
-        1000000.0_wp, 1000000.0_wp, 1000000.0_wp, 0.3_wp, 0.3_wp, 0.3_wp,      & !parameter 6-11
-        296.15_wp, 293.15_wp, 0.9_wp, 0.9_wp, 0.01_wp, 0.99_wp,                & !parameter 12-17
-        0.001_wp, 0.0001_wp, 4.0_wp,                                           & !parameter 18-20
-        1.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 3.0_wp,                                & !parameter 21-25
-        1000000.0_wp, 1000000.0_wp, 1000000.0_wp,                              & !parameter 26-28                     
-        0.3_wp, 0.3_wp, 0.3_wp,                                                & !parameter 29-31       
-        0.9_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
-        24.0_wp, 24.0_wp, 24.0_wp,                                             & !parameter 38-40
-        0.0242_wp, 0.0969_wp, 0.346_wp, 1.0_wp,                                & !parameter 41-44
-        20000.0_wp, 10.0_wp,                                                   & !parameter 45-46 - end of type 2
-        1.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 1.0_wp, 1.0_wp,                        & !parameter 0-5
-        1000000.0_wp, 1000000.0_wp, 1000000.0_wp, 0.3_wp, 0.3_wp, 0.3_wp,      & !parameter 6-11
-        296.15_wp, 293.15_wp, 0.9_wp, 0.9_wp, 0.01_wp, 0.99_wp,                & !parameter 12-17
-        0.001_wp, 0.0001_wp, 4.0_wp,                                           & !parameter 18-20
-        1.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 3.0_wp,                                & !parameter 21-25
-        1000000.0_wp, 1000000.0_wp, 1000000.0_wp,                              & !parameter 26-28                     
-        0.3_wp, 0.3_wp, 0.3_wp,                                                & !parameter 29-31       
-        0.9_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
-        24.0_wp, 24.0_wp, 24.0_wp,                                             & !parameter 38-40
-        0.0242_wp, 0.0969_wp, 0.346_wp, 1.0_wp,                                & !parameter 41-44
-        20000.0_wp, 10.0_wp,                                                   & !parameter 45-46 - end of type 3
-        1.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 1.0_wp, 1.0_wp,                        & !parameter 0-5
-        1000000.0_wp, 1000000.0_wp, 1000000.0_wp, 0.3_wp, 0.3_wp, 0.3_wp,      & !parameter 6-11
-        296.15_wp, 293.15_wp, 0.9_wp, 0.9_wp, 0.01_wp, 0.99_wp,                & !parameter 12-17
-        0.01_wp, 0.001_wp, 4.0_wp,                                             & !parameter 18-20
-        1.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 3.0_wp,                                & !parameter 21-25
-        1000000.0_wp, 1000000.0_wp, 1000000.0_wp,                              & !parameter 26-28                     
-        0.3_wp, 0.3_wp, 0.3_wp,                                                & !parameter 29-31       
-        0.9_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
-        24.0_wp, 24.0_wp, 24.0_wp,                                             & !parameter 38-40
-        0.0242_wp, 0.0969_wp, 0.346_wp, 1.0_wp,                                & !parameter 41-44
-        20000.0_wp, 10.0_wp,                                                   & !parameter 45-46 - end of type 4
-        1.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 1.0_wp, 1.0_wp,                        & !parameter 0-5
-        1000000.0_wp, 1000000.0_wp, 1000000.0_wp, 0.3_wp, 0.3_wp, 0.3_wp,      & !parameter 6-11
-        296.15_wp, 293.15_wp, 0.9_wp, 0.9_wp, 0.01_wp, 0.99_wp,                & !parameter 12-17
-        0.001_wp, 0.0001_wp, 4.0_wp,                                           & !parameter 18-20
-        1.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 3.0_wp,                                & !parameter 21-25
-        1000000.0_wp, 1000000.0_wp, 1000000.0_wp,                              & !parameter 26-28                     
-        0.3_wp, 0.3_wp, 0.3_wp,                                                & !parameter 29-31       
-        0.9_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
-        24.0_wp, 24.0_wp, 24.0_wp,                                             & !parameter 38-40
-        0.0242_wp, 0.0969_wp, 0.346_wp, 1.0_wp,                                & !parameter 41-44
-        20000.0_wp, 10.0_wp,                                                   & !parameter 45-46 - end of type 5
-        1.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 1.0_wp, 1.0_wp,                        & !parameter 0-5
-        1000000.0_wp, 1000000.0_wp, 1000000.0_wp, 0.3_wp, 0.3_wp, 0.3_wp,      & !parameter 6-11
-        296.15_wp, 293.15_wp, 0.9_wp, 0.9_wp, 0.01_wp, 0.99_wp,                & !parameter 12-17
-        0.001_wp, 0.0001_wp, 4.0_wp,                                           & !parameter 18-20
-        1.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 3.0_wp,                                & !parameter 21-25
-        1000000.0_wp, 1000000.0_wp, 1000000.0_wp,                              & !parameter 26-28                     
-        0.3_wp, 0.3_wp, 0.3_wp,                                                & !parameter 29-31       
-        0.9_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
-        24.0_wp, 24.0_wp, 24.0_wp,                                             & !parameter 38-40
-        0.0242_wp, 0.0969_wp, 0.346_wp, 1.0_wp,                                & !parameter 41-44
-        20000.0_wp, 10.0_wp,                                                   & !parameter 45-46 - end of type 6
-        1.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 1.0_wp, 1.0_wp,                        & !parameter 0-5
-        1000000.0_wp, 1000000.0_wp, 1000000.0_wp, 0.3_wp, 0.3_wp, 0.3_wp,      & !parameter 6-11
-        296.15_wp, 293.15_wp, 0.9_wp, 0.9_wp, 0.01_wp, 0.99_wp,                & !parameter 12-17
-        0.001_wp, 0.0001_wp, 0.0_wp,                                           & !parameter 18-20
-        1.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 3.0_wp,                                & !parameter 21-25
-        1000000.0_wp, 1000000.0_wp, 1000000.0_wp,                              & !parameter 26-28                     
-        0.3_wp, 0.3_wp, 0.3_wp,                                                & !parameter 29-31       
-        0.9_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
-        24.0_wp, 24.0_wp, 24.0_wp,                                             & !parameter 38-40
-        0.0242_wp, 0.0969_wp, 0.346_wp, 1.0_wp,                                & !parameter 41-44
-        20000.0_wp, 10.0_wp                                                    & !parameter 45-46 - end of type 7 (bridges)
-                                                                          /),  &
-                                                               (/47, 7/) )
+!-- building parameters, 6 different types
+!-- Parameter for urban surface model
+!-- 0 - heat capacity wall surface, 1 - heat capacity of window surface, 2 - heat capacity of green surface
+!-- 3 - thermal conductivity of wall surface, 4 - thermal conductivity of window surface, 
+!-- 5 - thermal conductivty of green surface, 6 - wall fraction ground plate, 
+!-- 7 - 1st wall layer thickness ground plate, 8 - 2nd wall layer thickness ground plate
+!-- 9 - 3rd wall layer thickness ground plate, 10 - 4th wall layer thickness ground plate,
+!-- 11 - heat capacity 1st/2nd wall layer ground plate, 12 - heat capacity 3rd wall layer ground plate
+!-- 13 - heat capacity 4th wall layer ground plate, 14 - thermal conductivity 1st/2nd wall layer ground plate,
+!-- 15 - thermal conductivity 3rd wall layer ground plate, 16 - thermal conductivity 4th wall layer ground plate
+!-- 17 - ground floor level height, 18 - z0 roughness ground floor level, 19 - z0h/z0g roughness heaat/humidity,
+!-- 20 - wall fraction ground floor level, 21 - 1st wall layer thickness ground floor level, 
+!-- 22 - 2nd wall layer thickness ground floor level, 23 - 3rd wall layer thickness ground floor level,
+!-- 24 - 4th wall layer thickness ground floor level, 25 - heat capacity 1st/2nd wall layer ground floor level,
+!-- 26 - heat capacity 3rd wall layer ground floor level, 27 - heat capacity 4th wall layer ground floor level,
+!-- 28 - thermal conductivity 1st/2nd wall layer ground floor level, 
+!-- 29 - thermal conductivity 3rd wall layer ground floor level, 30 - thermal conductivity 4th wall layer ground floor level
+!-- 31 - wall emissivity ground floor level, 32 - wall albedo ground floor level, 33 - window fraction ground floor level,
+!-- 34 - 1st window layer thickness ground floor level, 35 - 2nd window layer thickness ground floor level,
+!-- 36 - 3rd window layer thickness ground floor level, 37 - 4th window layer thickness ground floor level,
+!-- 38 - heat capacity 1st/2nd window layer ground floor level, 39 - heat capacity 3rd window layer ground floor level,
+!-- 40 - heat capacity 4th window layer ground floor level, 
+!-- 41 - thermal conductivity 1st/2nd window layer ground floor level, 
+!-- 42 - thermal conductivity 3rd window layer ground floor level, 
+!-- 43 - thermal conductivity 4th window layer ground floor level, 44 - window emissivity ground floor level,
+!-- 45 - window transmissivity ground floor level, 46 - window albedo ground floor level,
+!-- 47 - green fraction ground floor level, 48 - LAI on wall ground floor level, 49 - green emissivity ground floor level,
+!-- 50 - green albedo ground floor level, 51 - z0 roughness above ground floor level, 
+!-- 52 - z0h/z0g roughness heat/humidity above ground floor level, 53 - wall fraction above ground floor level
+!-- 54 - 1st wall layer thickness above ground floor level, 55 - 2nd wall layer thickness above ground floor level
+!-- 56 - 3rd wall layer thickness above ground floor level, 57 - 4th wall layer thickness above ground floor level 
+!-- 58 - heat capacity 1st/2nd wall layer above ground floor level,
+!-- 59 - heat capacity 3rd wall layer above ground floor level, 
+!-- 60 - heat capacity 4th wall layer above ground floor level,
+!-- 61 - thermal conductivity 1st/2nd wall layer above ground floor level,
+!-- 62 - thermal conductivity 3rd wall layer above ground floor level,
+!-- 63 - thermal conductivity 4th wall layer above ground floor level,
+!-- 64 - wall emissivity above ground floor level, 65 - wall albedo above ground floor level,
+!-- 66 - window fraction above ground floor level, 67 - 1st window layer thickness above ground floor level,
+!-- 68 - 2nd thickness window layer above ground floor level, 69 - 3rd window layer thickness above ground floor level,
+!-- 70 - 4th window layer thickness above ground floor level, 
+!-- 71 - heat capacity 1st/2nd window layer above ground floor level,
+!-- 72 - heat capacity 3rd window layer above ground floor level,
+!-- 73 - heat capacity 4th window layer above ground floor level, 
+!-- 74 - conductivity 1st/2nd window layer above ground floor level,
+!-- 75 - thermal conductivity 3rd window layer above ground floor level, 
+!-- 76 - thermal conductivity 4th window layer above ground floor level, 77 - window emissivity above ground floor level,
+!-- 78 - window transmissivity above ground floor level, 79 - window albedo above ground floor level,
+!-- 80 - green fraction above ground floor level, 81 - LAI on wall above ground floor level,
+!-- 82 - green emissivity above ground floor level, 83 - green albedo above ground floor level,
+!-- 84 - wall fraction roof, 85 - 1st wall layer thickness roof, 86 - 2nd wall layer thickness roof,
+!-- 87 - 3rd wall layer thickness roof, 88 - 4th wall layer thickness roof,
+!-- 89 - heat capacity 1st/2nd wall layer roof, 90 - heat capacity 3rd wall layer roof,
+!-- 91 - heat capacity 4th wall layer roof, 92 - thermal conductivity 1st/2nd wall layer roof,
+!-- 93 - thermal conductivity 3rd wall layer roof, 94 - thermal conductivity 4th wall layer roof,
+!-- 95 - wall emissivity roof, 96 - wall albedo roof, 97 - window fraction roof,
+!-- 98 - window 1st layer thickness roof, 99 - window 2nd layer thickness roof, 100 - window 3rd layer thickness roof,
+!-- 101 - window 4th layer thickness, 102 - heat capacity 1st/2nd window layer roof, 
+!-- 103 - heat capacity 3rd window layer roof, 104 - heat capacity 4th window layer roof,
+!-- 105 - thermal conductivity 1st/2nd window layer roof, 106 - thermal conductivity 3rd window layer roof,
+!-- 107 - thermal conductivity 4th window layer roof, 108 - window emissivity roof, 109 - window transmissivity roof,
+!-- 110 - window albedo roof, 111 - green fraction roof ground floor level, 
+!-- 112 - green fraction roof above ground floor level, 113 - LAI roof, 114 - green emissivity roof,
+!-- 115 - green albedo roof, 116 - green type roof,
+!-- Parameter for indoor model
+!-- 117 - indoor target summer temperature, 118 - indoor target winter temperature, 
+!-- 119 - shading factor, 120 - g-value windows, 121 - u-value windows, 122 - basical airflow without occupancy of the room,
+!-- 123 - additional airflow depend of occupancy of the room, 124 - heat recovery efficiency,
+!-- 125 - dynamic parameter specific effective surface, 126 - dynamic parameter innner heatstorage,
+!-- 127 - ratio internal surface/floor area, 128 - maximal heating capacity, 129 - maximal cooling capacity,
+!-- 130 - additional internal heat gains dependent on occupancy of the room, 
+!-- 131 - basic internal heat gains without occupancy of the room, 132 - storey height, 133 - ceiling construction height
+
+
+    REAL(wp), DIMENSION(0:133,1:7), PARAMETER :: building_pars = RESHAPE( (/   &
+        10.0_wp, 10.0_wp, 20000.0_wp, 23.0_wp, 23.0_wp, 10.0_wp,               & !parameter 0-5
+        1.0_wp, 0.005_wp, 0.01_wp, 0.39_wp, 0.63_wp, 2200000.0_wp,             & !parameter 6-11
+        1400000.0_wp, 1300000.0_wp, 0.35_wp, 0.8_wp, 2.1_wp, 4.0_wp,           & !parameter 12-17
+        0.01_wp, 0.001_wp, 0.75_wp,                                            & !parameter 18-20
+        0.005_wp, 0.01_wp, 0.39_wp, 0.63_wp, 2200000.0_wp,                     & !parameter 21-25
+        1400000.0_wp, 1300000.0_wp, 0.35_wp,                                   & !parameter 26-28                     
+        0.8_wp, 2.1_wp, 0.93_wp,                                               & !parameter 29-31       
+        27.0_wp, 0.25_wp, 0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp,              & !parameter 32-37
+        1736000.0_wp, 1736000.0_wp, 1736000.0_wp,                              & !parameter 38-40
+        0.57_wp, 0.57_wp, 0.57_wp, 0.91_wp,                                    & !parameter 41-44
+        0.75_wp, 27.0_wp, 0.0_wp, 1.5_wp, 0.86_wp,                             & !parameter 45-49
+        5.0_wp, 0.001_wp, 0.0001_wp, 0.7_wp, 0.005_wp,                        & !parameter 50-54
+        0.01_wp, 0.39_wp, 0.63_wp, 2200000.0_wp,                               & !parameter 55-58
+        1400000.0_wp, 1300000.0_wp, 0.35_wp, 0.8_wp,                           & !parameter 59-62
+        2.1_wp, 0.93_wp, 27.0_wp, 0.3_wp,                                      & !parameter 63-66
+        0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp,                                & !parameter 67-70
+        1736000.0_wp, 1736000.0_wp, 1736000.0_wp,                              & !parameter 71-73
+        0.57_wp, 0.57_wp, 0.57_wp, 0.91_wp, 0.75_wp,                           & !parameter 74-78
+        27.0_wp, 0.0_wp, 1.5_wp, 0.86_wp, 5.0_wp, 1.0_wp,                      & !parameter 79-84
+        0.005_wp, 0.01_wp, 0.31_wp, 0.63_wp, 2200000.0_wp, 1400000.0_wp,       & !parameter 85-90
+        1300000.0_wp, 0.35_wp, 0.8_wp, 2.1_wp, 0.93_wp, 27.0_wp, 0.0_wp,       & !parameter 91-97
+        0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp, 1736000.0_wp,                  & !parameter 98-102 
+        1736000.0_wp, 1736000.0_wp, 0.57_wp, 0.57_wp, 0.57_wp,                 & !parameter 103-107
+        0.91_wp, 0.75_wp, 27.0_wp, 0.0_wp, 0.0_wp, 1.5_wp,                     & !parameter 108-113
+        0.86_wp, 5.0_wp, 0.0_wp,                                              & !parameter 114-116
+        299.15_wp, 293.15_wp, 0.8_wp, 0.76_wp, 5.0_wp,                         & !parameter 117-121
+        0.1_wp, 0.5_wp, 0.0_wp, 3.5_wp, 370000.0_wp, 4.5_wp,                   & !parameter 122-127
+        100000.0_wp, 0.0_wp, 3.0_wp, 10.0_wp, 3.0_wp, 0.2_wp,                  & !parameter 128-133- end of type 1
+        10.0_wp, 10.0_wp, 20000.0_wp, 23.0_wp, 23.0_wp, 10.0_wp,               & !parameter 0-5
+        1.0_wp, 0.005_wp, 0.01_wp, 0.31_wp, 0.42_wp, 2000000.0_wp,             & !parameter 6-11
+        103000.0_wp, 900000.0_wp, 0.35_wp, 0.38_wp, 0.04_wp, 4.0_wp,           & !parameter 12-17
+        0.01_wp, 0.001_wp, 0.78_wp,                                            & !parameter 18-20
+        0.005_wp, 0.01_wp, 0.31_wp, 0.43_wp, 2000000.0_wp,                     & !parameter 21-25
+        103000.0_wp, 900000.0_wp, 0.35_wp,                                     & !parameter 26-28                     
+        0.38_wp, 0.04_wp, 0.92_wp,                                             & !parameter 29-31       
+        27.0_wp, 0.22_wp, 0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp,              & !parameter 32-37
+        1736000.0_wp, 1736000.0_wp, 1736000.0_wp,                              & !parameter 38-40
+        0.11_wp, 0.11_wp, 0.11_wp, 0.11_wp,                                    & !parameter 41-44
+        0.7_wp, 27.0_wp, 0.0_wp, 1.5_wp, 0.86_wp,                              & !parameter 45-49
+        5.0_wp, 0.001_wp, 0.0001_wp, 0.73_wp, 0.005_wp,                       & !parameter 50-54
+        0.01_wp, 0.31_wp, 0.43_wp, 2000000.0_wp,                               & !parameter 55-58
+        103000.0_wp, 900000.0_wp, 0.35_wp, 0.38_wp,                            & !parameter 59-62
+        0.04_wp, 0.92_wp, 27.0_wp, 0.27_wp,                                    & !parameter 63-66
+        0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp,                                & !parameter 67-70
+        1736000.0_wp, 1736000.0_wp, 1736000.0_wp,                              & !parameter 71-73
+        0.11_wp, 0.11_wp, 0.11_wp, 0.87_wp, 0.7_wp,                            & !parameter 74-78
+        27.0_wp, 0.0_wp, 1.5_wp, 0.86_wp, 5.0_wp, 1.0_wp,                      & !parameter 79-84
+        0.005_wp, 0.01_wp, 0.5_wp, 0.79_wp, 2000000.0_wp, 103000.0_wp,         & !parameter 85-90
+        900000.0_wp, 0.35_wp, 0.38_wp, 0.04_wp, 0.93_wp, 27.0_wp, 0.0_wp,      & !parameter 91-97
+        0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp, 1736000.0_wp,                  & !parameter 98-102 
+        1736000.0_wp, 1736000.0_wp, 0.11_wp, 0.11_wp, 0.11_wp,                 & !parameter 103-107
+        0.87_wp, 0.7_wp, 27.0_wp, 0.0_wp, 0.0_wp, 1.5_wp,                      & !parameter 108-113
+        0.86_wp, 5.0_wp, 0.0_wp,                                              & !parameter 114-116
+        299.15_wp, 293.15_wp, 0.8_wp, 0.6_wp, 3.0_wp,                          & !parameter 117-121
+        0.1_wp, 0.5_wp, 0.0_wp, 2.5_wp, 165000.0_wp, 4.5_wp,                   & !parameter 122-127
+        100000.0_wp, 0.0_wp, 4.0_wp, 8.0_wp, 3.0_wp, 0.2_wp,                   & !parameter 128-133- end of type 2
+        10.0_wp, 10.0_wp, 20000.0_wp, 23.0_wp, 23.0_wp, 10.0_wp,               & !parameter 0-5
+        1.0_wp, 0.005_wp, 0.01_wp, 0.41_wp, 0.7_wp, 2000000.0_wp,              & !parameter 6-11
+        103000.0_wp, 900000.0_wp, 0.35_wp, 0.14_wp, 0.035_wp, 4.0_wp,          & !parameter 12-17
+        0.01_wp, 0.001_wp, 0.75_wp,                                            & !parameter 18-20
+        0.005_wp, 0.01_wp, 0.41_wp, 0.7_wp, 2000000.0_wp,                      & !parameter 21-25
+        103000.0_wp, 900000.0_wp, 0.35_wp,                                     & !parameter 26-28                     
+        0.14_wp, 0.035_wp, 0.92_wp,                                            & !parameter 29-31       
+        27.0_wp, 0.25_wp, 0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp,              & !parameter 32-37
+        1736000.0_wp, 1736000.0_wp, 1736000.0_wp,                              & !parameter 38-40
+        0.037_wp, 0.037_wp, 0.037_wp, 0.8_wp,                                     & !parameter 41-44
+        0.6_wp, 27.0_wp, 0.0_wp, 1.5_wp, 0.86_wp,                              & !parameter 45-49
+        5.0_wp, 0.001_wp, 0.0001_wp, 0.7_wp, 0.005_wp,                        & !parameter 50-54
+        0.01_wp, 0.41_wp, 0.7_wp, 2000000.0_wp,                                & !parameter 55-58
+        103000.0_wp, 900000.0_wp, 0.35_wp, 0.14_wp,                            & !parameter 59-62
+        0.035_wp, 0.92_wp, 27.0_wp, 0.3_wp,                                    & !parameter 63-66
+        0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp,                                & !parameter 67-70
+        1736000.0_wp, 1736000.0_wp, 1736000.0_wp,                              & !parameter 71-73
+        0.037_wp, 0.037_wp, 0.037_wp, 0.8_wp, 0.6_wp,                             & !parameter 74-78
+        27.0_wp, 0.0_wp, 1.5_wp, 0.86_wp, 5.0_wp, 1.0_wp,                      & !parameter 79-84
+        0.005_wp, 0.01_wp, 0.41_wp, 0.7_wp, 2000000.0_wp, 103000.0_wp,         & !parameter 85-90
+        900000.0_wp, 0.35_wp, 0.14_wp, 0.035_wp, 0.93_wp, 27.0_wp, 0.0_wp,     & !parameter 91-97
+        0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp, 1736000.0_wp,                  & !parameter 98-102 
+        1736000.0_wp, 1736000.0_wp, 0.037_wp, 0.037_wp, 0.037_wp,                 & !parameter 103-107
+        0.8_wp, 0.6_wp, 27.0_wp, 0.0_wp, 0.0_wp, 1.5_wp,                       & !parameter 108-113
+        0.86_wp, 5.0_wp, 0.0_wp,                                              & !parameter 114-116
+        299.15_wp, 293.15_wp, 0.8_wp, 0.5_wp, 0.6_wp,                          & !parameter 117-121
+        0.1_wp, 0.5_wp, 0.8_wp, 2.5_wp, 80000.0_wp, 4.5_wp,                    & !parameter 122-127
+        100000.0_wp, 0.0_wp, 3.0_wp, 8.0_wp, 3.0_wp, 0.2_wp,                   & !parameter 128-133- end of type 3
+        10.0_wp, 10.0_wp, 20000.0_wp, 23.0_wp, 23.0_wp, 10.0_wp,               & !parameter 0-5
+        1.0_wp, 0.005_wp, 0.01_wp, 0.39_wp, 0.63_wp, 2200000.0_wp,             & !parameter 6-11
+        1400000.0_wp, 1300000.0_wp, 0.35_wp, 0.8_wp, 2.1_wp, 4.0_wp,           & !parameter 12-17
+        0.01_wp, 0.001_wp, 0.55_wp,                                            & !parameter 18-20
+        0.005_wp, 0.01_wp, 0.39_wp, 0.63_wp, 2200000.0_wp,                     & !parameter 21-25
+        1400000.0_wp, 1300000.0_wp, 0.35_wp,                                   & !parameter 26-28                     
+        0.8_wp, 2.1_wp, 0.93_wp,                                               & !parameter 29-31       
+        27.0_wp, 0.45_wp, 0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp,              & !parameter 32-37
+        1736000.0_wp, 1736000.0_wp, 1736000.0_wp,                              & !parameter 38-40
+        0.57_wp, 0.57_wp, 0.57_wp, 0.91_wp,                                    & !parameter 41-44
+        0.75_wp, 27.0_wp, 0.0_wp, 1.5_wp, 0.86_wp,                             & !parameter 45-49
+        5.0_wp, 0.001_wp, 0.0001_wp, 0.5_wp, 0.005_wp,                        & !parameter 50-54
+        0.01_wp, 0.39_wp, 0.63_wp, 2200000.0_wp,                               & !parameter 55-58
+        1400000.0_wp, 1300000.0_wp, 0.35_wp, 0.8_wp,                           & !parameter 59-62
+        2.1_wp, 0.93_wp, 27.0_wp, 0.5_wp,                                      & !parameter 63-66
+        0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp,                                & !parameter 67-70
+        1736000.0_wp, 1736000.0_wp, 1736000.0_wp,                              & !parameter 71-73
+        0.57_wp, 0.57_wp, 0.57_wp, 0.91_wp, 0.75_wp,                           & !parameter 74-78
+        27.0_wp, 0.0_wp, 1.5_wp, 0.86_wp, 5.0_wp, 1.0_wp,                      & !parameter 79-84
+        0.005_wp, 0.01_wp, 0.39_wp, 0.63_wp, 2200000.0_wp, 1400000.0_wp,       & !parameter 85-90
+        1300000.0_wp, 0.35_wp, 0.8_wp, 2.1_wp, 0.93_wp, 27.0_wp, 0.0_wp,       & !parameter 91-97
+        0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp, 1736000.0_wp,                  & !parameter 98-102 
+        1736000.0_wp, 1736000.0_wp, 0.57_wp, 0.57_wp, 0.57_wp,                 & !parameter 103-107
+        0.91_wp, 0.75_wp, 27.0_wp, 0.0_wp, 0.0_wp, 1.5_wp,                     & !parameter 108-113
+        0.86_wp, 5.0_wp, 0.0_wp,                                              & !parameter 114-116
+        299.15_wp, 293.15_wp, 0.8_wp, 0.76_wp, 5.0_wp,                         & !parameter 117-121
+        0.1_wp, 1.5_wp, 0.0_wp, 3.5_wp, 370000.0_wp, 4.5_wp,                   & !parameter 122-127
+        100000.0_wp, 0.0_wp, 3.0_wp, 10.0_wp, 3.0_wp, 0.2_wp,                  & !parameter 128-133- end of type 4
+        10.0_wp, 10.0_wp, 20000.0_wp, 23.0_wp, 23.0_wp, 10.0_wp,               & !parameter 0-5
+        1.0_wp, 0.005_wp, 0.01_wp, 0.31_wp, 0.43_wp, 2000000.0_wp,             & !parameter 6-11
+        103000.0_wp, 900000.0_wp, 0.35_wp, 0.38_wp, 0.04_wp, 4.0_wp,           & !parameter 12-17
+        0.01_wp, 0.001_wp, 0.55_wp,                                            & !parameter 18-20
+        0.005_wp, 0.01_wp, 0.31_wp, 0.43_wp, 2000000.0_wp,                     & !parameter 21-25
+        103000.0_wp, 900000.0_wp, 0.35_wp,                                     & !parameter 26-28                     
+        0.38_wp, 0.04_wp, 0.92_wp,                                             & !parameter 29-31       
+        27.0_wp, 0.45_wp, 0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp,              & !parameter 32-37
+        1736000.0_wp, 1736000.0_wp, 1736000.0_wp,                              & !parameter 38-40
+        0.11_wp, 0.11_wp, 0.11_wp, 0.87_wp,                                    & !parameter 41-44
+        0.7_wp, 27.0_wp, 0.0_wp, 1.5_wp, 0.86_wp,                              & !parameter 45-49
+        5.0_wp, 0.001_wp, 0.0001_wp, 0.5_wp, 0.005_wp,                        & !parameter 50-54
+        0.01_wp, 0.31_wp, 0.43_wp, 2000000.0_wp,                               & !parameter 55-58
+        103000.0_wp, 900000.0_wp, 0.35_wp, 0.38_wp,                            & !parameter 59-62
+        0.04_wp, 0.92_wp, 27.0_wp, 0.5_wp,                                     & !parameter 63-66
+        0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp,                                & !parameter 67-70
+        1736000.0_wp, 1736000.0_wp, 1736000.0_wp,                              & !parameter 71-73
+        0.11_wp, 0.11_wp, 0.11_wp, 0.87_wp, 0.7_wp,                            & !parameter 74-78
+        27.0_wp, 0.0_wp, 1.5_wp, 0.86_wp, 5.0_wp, 1.0_wp,                      & !parameter 79-84
+        0.005_wp, 0.01_wp, 0.31_wp, 0.43_wp, 2000000.0_wp, 103000.0_wp,        & !parameter 85-90
+        900000.0_wp, 0.35_wp, 0.38_wp, 0.04_wp, 0.91_wp, 27.0_wp, 0.0_wp,      & !parameter 91-97
+        0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp, 1736000.0_wp,                  & !parameter 98-102 
+        1736000.0_wp, 1736000.0_wp, 0.11_wp, 0.11_wp, 0.11_wp,                 & !parameter 103-107
+        0.87_wp, 0.7_wp, 27.0_wp, 0.0_wp, 0.0_wp, 1.5_wp,                      & !parameter 108-113
+        0.86_wp, 5.0_wp, 0.0_wp,                                              & !parameter 114-116
+        299.15_wp, 293.15_wp, 0.8_wp, 0.6_wp, 3.0_wp,                          & !parameter 117-121
+        0.1_wp, 1.5_wp, 0.65_wp, 2.5_wp, 165000.0_wp, 4.5_wp,                  & !parameter 122-127
+        100000.0_wp, 0.0_wp, 7.0_wp, 20.0_wp, 3.0_wp, 0.2_wp,                  & !parameter 128-133- end of type 5
+        10.0_wp, 10.0_wp, 20000.0_wp, 23.0_wp, 23.0_wp, 10.0_wp,               & !parameter 0-5
+        1.0_wp, 0.005_wp, 0.01_wp, 0.41_wp, 0.7_wp, 2000000.0_wp,              & !parameter 6-11
+        103000.0_wp, 900000.0_wp, 0.35_wp, 0.14_wp, 0.035_wp, 4.0_wp,          & !parameter 12-17
+        0.01_wp, 0.001_wp, 0.475_wp,                                           & !parameter 18-20
+        0.005_wp, 0.01_wp, 0.41_wp, 0.7_wp, 2000000.0_wp,                      & !parameter 21-25
+        103000.0_wp, 900000.0_wp, 0.35_wp,                                     & !parameter 26-28                     
+        0.14_wp, 0.035_wp, 0.92_wp,                                            & !parameter 29-31       
+        27.0_wp, 0.525_wp, 0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp,             & !parameter 32-37
+        1736000.0_wp, 1736000.0_wp, 1736000.0_wp,                              & !parameter 38-40
+        0.037_wp, 0.037_wp, 0.037_wp, 0.8_wp,                                     & !parameter 41-44
+        0.6_wp, 27.0_wp, 0.0_wp, 1.5_wp, 0.86_wp,                              & !parameter 45-49
+        5.0_wp, 0.001_wp, 0.0001_wp, 0.425_wp, 0.005_wp,                      & !parameter 50-54
+        0.01_wp, 0.41_wp, 0.7_wp, 2000000.0_wp,                                & !parameter 55-58
+        103000.0_wp, 900000.0_wp, 0.35_wp, 0.14_wp,                            & !parameter 59-62
+        0.035_wp, 0.92_wp, 27.0_wp, 0.575_wp,                                  & !parameter 63-66
+        0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp,                                & !parameter 67-70
+        1736000.0_wp, 1736000.0_wp, 1736000.0_wp,                              & !parameter 71-73
+        0.037_wp, 0.037_wp, 0.037_wp, 0.8_wp, 0.6_wp,                             & !parameter 74-78
+        27.0_wp, 0.0_wp, 1.5_wp, 0.86_wp, 5.0_wp, 1.0_wp,                      & !parameter 79-84
+        0.005_wp, 0.01_wp, 0.41_wp, 0.7_wp, 2000000.0_wp, 103000.0_wp,         & !parameter 85-90
+        900000.0_wp, 0.35_wp, 0.14_wp, 0.035_wp, 0.91_wp, 27.0_wp, 0.0_wp,     & !parameter 91-97
+        0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp, 1736000.0_wp,                  & !parameter 98-102 
+        1736000.0_wp, 1736000.0_wp, 0.037_wp, 0.037_wp, 0.037_wp,                 & !parameter 103-107
+        0.8_wp, 0.6_wp, 27.0_wp, 0.0_wp, 0.0_wp, 1.5_wp,                       & !parameter 108-113
+        0.86_wp, 5.0_wp, 0.0_wp,                                              & !parameter 114-116
+        299.15_wp, 293.15_wp, 0.8_wp, 0.5_wp, 0.6_wp,                          & !parameter 117-121
+        0.1_wp, 1.5_wp, 0.9_wp, 2.5_wp, 80000.0_wp, 4.5_wp,                    & !parameter 122-127
+        100000.0_wp, 0.0_wp, 5.0_wp, 15.0_wp, 3.0_wp, 0.2_wp,                  & !parameter 128-133- end of type 6    
+        10.0_wp, 10.0_wp, 20000.0_wp, 23.0_wp, 23.0_wp, 10.0_wp,               & !parameter 0-5
+        1.0_wp, 0.29_wp, 0.295_wp, 0.695_wp, 0.985_wp, 1950400.0_wp,           & !parameter 6-11
+        1848000.0_wp, 1848000.0_wp, 0.7_wp, 1.0_wp, 1.0_wp, 4.0_wp,            & !parameter 12-17
+        0.01_wp, 0.001_wp, 1.0_wp,                                             & !parameter 18-20
+        0.29_wp, 0.295_wp, 0.695_wp, 0.985_wp, 1950400.0_wp,                   & !parameter 21-25
+        1848000.0_wp, 1848000.0_wp, 0.7_wp,                                    & !parameter 26-28                     
+        1.0_wp, 1.0_wp, 0.9_wp,                                                & !parameter 29-31       
+        27.0_wp, 0.0_wp, 0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp,               & !parameter 32-37
+        1736000.0_wp, 1736000.0_wp, 1736000.0_wp,                              & !parameter 38-40
+        0.57_wp, 0.57_wp, 0.57_wp, 0.8_wp,                                     & !parameter 41-44
+        0.6_wp, 27.0_wp, 0.0_wp, 1.5_wp, 0.86_wp,                              & !parameter 45-49
+        5.0_wp, 0.001_wp, 0.0001_wp, 1.0_wp, 0.29_wp,                         & !parameter 50-54
+        0.295_wp, 0.695_wp, 0.985_wp, 1950400.0_wp,                            & !parameter 55-58
+        1848000.0_wp, 1848000.0_wp, 0.7_wp, 1.0_wp,                            & !parameter 59-62
+        1.0_wp, 0.9_wp, 27.0_wp, 0.0_wp,                                       & !parameter 63-66
+        0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp,                                & !parameter 67-70
+        1736000.0_wp, 1736000.0_wp, 1736000.0_wp,                              & !parameter 71-73
+        0.57_wp, 0.57_wp, 0.57_wp, 0.8_wp, 0.6_wp,                             & !parameter 74-78
+        27.0_wp, 0.0_wp, 1.5_wp, 0.86_wp, 5.0_wp, 1.0_wp,                      & !parameter 79-84
+        0.29_wp, 0.295_wp, 0.695_wp, 0.985_wp, 1950400.0_wp, 1848000.0_wp,     & !parameter 85-90
+        1848000.0_wp, 0.7_wp, 1.0_wp, 1.0_wp, 0.9_wp, 27.0_wp, 0.0_wp,         & !parameter 91-97
+        0.003_wp, 0.006_wp, 0.012_wp, 0.018_wp, 1736000.0_wp,                  & !parameter 98-102 
+        1736000.0_wp, 1736000.0_wp, 0.57_wp, 0.57_wp, 0.57_wp,                 & !parameter 103-107
+        0.8_wp, 0.6_wp, 27.0_wp, 0.0_wp, 0.0_wp, 1.5_wp,                       & !parameter 108-113
+        0.86_wp, 5.0_wp, 0.0_wp,                                              & !parameter 114-116
+        299.15_wp, 293.15_wp, 0.8_wp, 100.0_wp, 100.0_wp,                      & !parameter 117-121
+        20.0_wp, 20.0_wp, 0.0_wp, 1.0_wp, 1.0_wp, 4.5_wp,                      & !parameter 122-127
+        100000.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 3.0_wp, 0.2_wp                    & !parameter 128-133- end of type 7 (bridge)
+                                                                       /),     &
+                                                               (/134, 7/) )
 
 !
